### Method

# Gck Session unwrap_key_async

#### Declaration [src]

    void
    gck_session_unwrap_key_async (
      GckSession* self,
      GckObject* wrapper,
      GckMechanism* mechanism,
      const guchar* input,
      gsize n_input,
      GckAttributes* attrs,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Unwrap a key from a byte stream. This call will return immediately and complete asynchronously.

If `attrs` is a floating reference, it is consumed.

#### Parameters

`wrapper` | `GckObject`
| The key to use for unwrapping.
| The data is owned by the caller of the function.
`mechanism` | `GckMechanism`
| The mechanism to use for unwrapping.
| The data is owned by the caller of the function.
`input` | An array of `guchar`
| The wrapped data as a byte stream.
| The length of the array is specified in the `n_input` argument.
| The data is owned by the caller of the function.
`n_input` | `gsize`
| The length of the wrapped data.
`attrs` | `GckAttributes`
| Additional attributes for the unwrapped key.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Optional cancellation object or `NULL`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Called when the operation completes.
| The argument can be `NULL`.
`user_data` | `gpointer`
| Data to pass to the callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.